C
C=======================================================================
C
      SUBROUTINE FACDIF_A(COSTH,JAT,JE,FTHETA)
C
C  This routine computes the plane wave scattering factor
C
      USE DIM_MOD
C
      USE TL_AED_MOD, DLT => DLT_A, TL => TL_A, VK => VK_A,
     &                VK2 => VK2_A, IPOTC => IPOTC_A, ITL => ITL_A,
     &                LMAX => LMAX_A
C
      DIMENSION PL(0:100)     
C
      COMPLEX FTHETA
C
      FTHETA=(0.,0.)    
      NL=LMAX(JAT,JE)+1                                                
      CALL POLLEG(NL,COSTH,PL)                                          
      DO 20 L=0,NL-1                                                    
        FTHETA=FTHETA+(2*L+1)*TL(L,1,JAT,JE)*PL(L)                              
  20  CONTINUE                                                          
      FTHETA=FTHETA/VK(JE)
C 
      RETURN                                                            
C
      END                                                               
